Skip to main content
PATCH
Update Catalog

Authorizations

Authorization
string
header
required

An API key or OAuth2/OIDC access token sent as Authorization: Bearer <token>.

Path Parameters

workspace_id
string
required
catalog_id
string
required

Query Parameters

updateMask
string | null

Body

application/json

A SQL-visible catalog owned by a workspace.

spec
CatalogSpec · object
required

Definition used to construct this catalog.

name
string
default:""

Resource name in the form workspaces/{workspace}/catalogs/{catalog}.

The terminal resource ID is the SQL-visible catalog name.

Pattern: ^workspaces/[a-z0-9](?:[a-z0-9._~-]*[a-z0-9])?/catalogs/[a-z][a-z0-9_]{0,62}$
createTime
string<date-time> | null

Time at which the catalog was created.

updateTime
string<date-time> | null

Time at which the catalog was most recently updated.

revision
integer
default:0

Monotonically increasing revision of this catalog definition.

revisionHash
string
default:""

Lowercase SHA-256 hash of the canonical stored catalog definition.

Response

Successful Response

A SQL-visible catalog owned by a workspace.

name
string
required

Resource name in the form workspaces/{workspace}/catalogs/{catalog}.

The terminal resource ID is the SQL-visible catalog name.

Pattern: ^workspaces/[a-z0-9](?:[a-z0-9._~-]*[a-z0-9])?/catalogs/[a-z][a-z0-9_]{0,62}$
spec
CatalogSpec · object
required

Definition used to construct this catalog.

createTime
string | null

Time at which the catalog was created.

updateTime
string | null

Time at which the catalog was most recently updated.

revision
string
default:0

Monotonically increasing revision of this catalog definition.

revisionHash
string
default:""

Lowercase SHA-256 hash of the canonical stored catalog definition.